Summary:	A tool to replay captured network traffic
Name:		tcpreplay
Version:	4.5.1
Release:	%mkrel 1
License:	GPLv3
Group:		Networking/Other
URL:		https://tcpreplay.appneta.com/
Source0:	https://prdownloads.sourceforge.net/tcpreplay/%{name}-%{version}.tar.gz
BuildRequires:	autogen >= 5.9
BuildRequires:	pkgconfig(autoopts) >= 5.9
BuildRequires:	dnet-devel
BuildRequires:	pkgconfig(libpcap) >= 0.7.2
BuildRequires:	tcpdump

%description
Tcpreplay is a tool to replay captured network traffic. Currently, tcpreplay
supports pcap (tcpdump) and snoop capture formats. Also included, is tcpprep a
tool to pre-process capture files to allow increased performance under certain
conditions as well as capinfo which provides basic information about capture
files.

%prep
%autosetup -p1

%build
%configure \
    --enable-dynamic-link \
    --with-testnic=eth0 \
    --with-testnic2=eth1
%make_build

%check
%define enable_tests 0
%if %{enable_tests}
make test <- requires root permissions
%endif

%install
%make_install

%files
%doc docs/CHANGELOG docs/CREDIT docs/HACKING docs/TODO
%license docs/LICENSE
%{_bindir}/tcpbridge
%{_bindir}/tcpcapinfo
%{_bindir}/tcpliveplay
%{_bindir}/tcpprep
%{_bindir}/tcpreplay
%{_bindir}/tcpreplay-edit
%{_bindir}/tcprewrite
%{_mandir}/man1/*


%changelog
* Wed Sep 11 2024 daviddavid <daviddavid> 4.5.1-1.mga9
+ Revision: 2095069
- new version: 4.5.1, fixes CVE-2024-3024 (mga#33432)
+ ns80 <ns80>
- add patches from Fedora for CVE-2023-4256 and CVE-2023-43279 (mga#33013)

* Tue May 16 2023 ns80 <ns80> 4.4.3-2.mga9
+ Revision: 1957047
- add patches from Fedora for CVE-2023-2778[3-9] (mga#31926)

* Mon Jan 02 2023 daviddavid <daviddavid> 4.4.3-1.mga9
+ Revision: 1929166
- new version: 4.4.3

* Wed Sep 07 2022 ns80 <ns80> 4.4.2-1.mga9
+ Revision: 1884688
- new version 4.4.2 for CVE-2022-27939 CVE-2022-2794[0-2] CVE-2022-28487 CVE-2022-3704[7-9] (mga#30822)

* Tue Mar 29 2022 umeabot <umeabot> 4.3.3-23.mga9
+ Revision: 1831562
- Mageia 9 Mass Rebuild

* Fri Nov 20 2020 daviddavid <daviddavid> 4.3.3-22.mga8
+ Revision: 1647820
- add patch to fix CVE-2020-24265 and CVE-2020-24266 (mga#27489)

* Fri Jul 03 2020 daviddavid <daviddavid> 4.3.3-21.mga8
+ Revision: 1601552
- new version: 4.3.3, fixes CVE-2020-12740 (mga#26885)

* Sat Feb 15 2020 umeabot <umeabot> 4.3.2-2.mga8
+ Revision: 1523953
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 17 2019 daviddavid <daviddavid> 4.3.2-1.mga7
+ Revision: 1378161
- new version: 4.3.2

* Sun Jan 06 2019 kekepower <kekepower> 4.3.1-1.mga7
+ Revision: 1350212
- Update to version 4.3.1

* Sun Sep 23 2018 umeabot <umeabot> 4.2.6-2.mga7
+ Revision: 1301343
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 4.2.6-1.mga7
+ Revision: 1221351
- new version: 4.2.6
- remove merged upstream patches

* Tue Mar 21 2017 ns80 <ns80> 4.1.0-3.mga6
+ Revision: 1093914
- add patch for CVE-2017-6429 (mga#20502)

* Thu Jul 07 2016 daviddavid <daviddavid> 4.1.0-2.mga6
+ Revision: 1039436
- add and rebase patch from debian to fix CVE-2016-6160 (mga#18870)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Dec 13 2015 daviddavid <daviddavid> 4.1.0-1.mga6
+ Revision: 909819
- new version: 4.1.0
- update URL and License
- remove no more needed patch
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 3.4.4-6.mga5
+ Revision: 744858
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.4-5.mga5
+ Revision: 689753
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.4.4-4.mga4
+ Revision: 519505
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.4.4-3.mga3
+ Revision: 384182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dlucio <dlucio>
- imported package tcpreplay


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 3.4.4-2mdv2011.0
+ Revision: 615167
- the mass rebuild of 2010.1 packages

* Fri Apr 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.4.4-1mdv2010.1
+ Revision: 538158
- update to 3.4.4

* Sat Jun 27 2009 Frederik Himpe <fhimpe@mandriva.org> 3.4.3-1mdv2010.0
+ Revision: 389595
- update to new version 3.4.3

* Tue Jun 16 2009 Wanderlei Cavassin <cavassin@mandriva.com.br> 3.4.2-2mdv2010.0
+ Revision: 386236
- fix parsing of interface name

* Thu May 21 2009 Oden Eriksson <oeriksson@mandriva.com> 3.4.2-1mdv2010.0
+ Revision: 378419
- 3.4.2
- 3.4.1

* Thu Jan 15 2009 Oden Eriksson <oeriksson@mandriva.com> 3.4.0-1mdv2009.1
+ Revision: 329715
- 3.4.0

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 3.3.2-2mdv2009.1
+ Revision: 298408
- rebuilt against libpcap-1.0.0

* Sun Jun 22 2008 Oden Eriksson <oeriksson@mandriva.com> 3.3.2-1mdv2009.0
+ Revision: 227869
- 3.3.2
- fix deps

* Sun May 18 2008 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-1mdv2009.0
+ Revision: 208629
- 3.3.1

* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-0mdv2009.0
+ Revision: 201829
- 3.3.0

* Fri Jan 25 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-1mdv2008.1
+ Revision: 157843
- 3.2.5

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.4-1mdv2008.1
+ Revision: 154131
- 3.2.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.1-1mdv2008.1
+ Revision: 102320
- 3.2.1

* Tue Aug 28 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-1mdv2008.0
+ Revision: 72646
- 3.2.0

* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.1-1mdv2008.0
+ Revision: 53879
- 3.1.1

* Wed May 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.1-1mdv2008.0
+ Revision: 20475
- 3.0.1

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-1mdv2008.0
+ Revision: 16072
- fix deps
- 3.0.0


* Tue Jul 18 2006 Stefan van der Eijk <stefan@mandriva.org> 2.3.5-4
- rebuild
- %%mkrel

* Fri Mar 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.3.5-3mdk
- rebuilt against libnet1.1.2

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.5-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.5-1mdk
- 2.3.5

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.3.3-1mdk
- 2.3.3
- fix deps

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.3.2-1mdk
- 2.3.2
- fix deps

* Mon Sep 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1

* Mon Sep 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0
- build against the new shared libnet2

* Tue Jun 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0
- fix P0
- fix deps

* Sun Dec 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.6-1mdk
- 1.4.6

* Sat Aug 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.5-1mdk
- 1.4.5

* Wed Aug 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.4-1mdk
- 1.4.4

